Making Product Version Mandatory when submitting a new issue

Get help from other users here.

Moderators: Developer, Contributor

Post Reply
nathy10g9
Posts: 1
Joined: 12 May 2022, 23:50

Making Product Version Mandatory when submitting a new issue

Post by nathy10g9 »

We're running Mantis Version 2.22.1 and I've been trying for a while to try and find a way of making the Product Version field when reporting a new issue to be mandatory. We unfortunately keep having some of our testers not include the Product Version number when submitting a ticket so want to make it mandatory. I have previously found a post with what seemed to be a method of making the field mandatory from around 10 years ago, however when i passed it onto the lead administrator, the code didn't appear to work.

Has anyone come up with a way of being able to do this and be happy to share how they have done it? I am not a coder myself so would be passing it onto the lead admin to implement for us.

I know I could use a custom field to make the mandatory field, however this would not use the released version numbers that are available in the project and would be open to abuse.

Cheers
atrol
Site Admin
Posts: 8074
Joined: 26 Mar 2008, 21:37
Location: Germany

Re: Making Product Version Mandatory when submitting a new issue

Post by atrol »

You could write a custom function custom_function_override_issue_create_validate for that
https://mantisbt.org/docs/master/en-US/ ... ustomfuncs

Check also this post, the code should work (didn't try)
viewtopic.php?p=69370#p69370
Please use Search before posting and read the Manual
Post Reply